Subject: [Disman] Small editorial correction to draft-ietf-disman-event-mib-v2-05.txt

From: Benoit Claise <[email-masked]>
Date: Tue, 07 Jun 2005 14:09:17 +0200

Dear all,

   +-----------------------------+ 
   | mteTriggerEntry             |      subclassed by: 
   |  { mteOwner,                |---+ 
   |    IMPLIED mteTriggerName } |   +-- mteTriggerDeltaEntry 
   |                             |   | 
   |                             |   +-- mteTriggerExistenceEntry 
   |                             |   | 
   |                             |   +-- mteTriggerBooleanEntry 
   |                             |   | 
   |                             |   +-- mteTriggerThresholdEntry 
   |                             | 
   |       mteTrigger*Event -------------------------------->+ 
   |                             |                           | 
   |       mteTriggerObjects ------------------>+            | 
   +-----------------------------+              |            | 
                                                |            | 
   +-----------------------------+              V            | 
   | mteObjectsEntry             |              |            | 
   |  { mteOwner,                |<-------------+            | 
   |    mteObjectsName,          |                           | 
   |    mteObjectsIndex }        |                           | 
   +-----------------------------+                           | 
                                                             V 
   +---------------------------+                             | 
   | mteEventEntry             |<----------------------------+ 
   |  { mteOwner,              | 
   |    IMPLIED mteEventName } | 
   |                           | 
   |            mteEventAction---> + (condition) 
   +---------------------------+   | 
                                   V 
   +---------------------------+   |   +--------------------------+ 
   | mteEventNotificationEntry |   |   | mteEventSetEntry          | 
   |  { mteOwner,              |<--+-->|  { mteOwner,              | 
   |    IMPLIED mteEventName } |       |    IMPLIED mteEventName } | 
   +---------------------------+       +---------------------------+ 

mteTriggerObjects should read mteTrigger*Objects, as it relates to mteTriggerExistenceObjects, mteTriggerBooleanObjects, and mteTriggerThresholdObjects.

Feedback?

Regards, Benoit

---

From: Benoit Claise <[email-masked]>
Date: Tue, 07 Jun 2005 16:26:55 +0200

Benoit Claise wrote:

> Dear all,
>
>   +-----------------------------+   | mteTriggerEntry             
> |      subclassed by:   |  { mteOwner,                |---+   |    
> IMPLIED mteTriggerName } |   +-- mteTriggerDeltaEntry   
> |                             |   |   |                             
> |   +-- mteTriggerExistenceEntry   |                             |   | 
> |                             |   |   |                             
> |   +-- mteTriggerThresholdEntry   |                             |   
> |                             |                           |   |       
> mteTriggerObjects ------------------>+            |   
> +-----------------------------+              V            |   | 
> mteObjectsEntry             |              |            |   |  { 
> mteOwner,                |<-------------+            |   |    
> mteObjectsName,          |                           |   |    
> mteObjectsIndex }        |                           |   
> +---------------------------+                             |   | 
> mteEventEntry             |<----------------------------+   |  { 
> mteOwner,              |   |    IMPLIED mteEventName } |   
> |                           |   |            mteEventAction---> + 
> (condition)   +---------------------------+   | 
>                                   V   +---------------------------+   
> |   +--------------------------+   | mteEventNotificationEntry |   |   
> | mteEventSetEntry          |   |  { mteOwner,              |<--+-->|  
> { mteOwner,              |   |    IMPLIED mteEventName } |       |    
> IMPLIED mteEventName } |   +---------------------------+       
> +---------------------------+
>
> mteTriggerObjects should read mteTrigger*Objects, as it relates to 
> mteTriggerExistenceObjects, mteTriggerBooleanObjects, and 
> mteTriggerThresholdObjects.

Oops. Forgot mteTriggerObjects itself.
Anyway, IMHO it doesn't change the proposal that, in the diagram of 
section 4, mteTriggerObjects should read mteTrigger*Objects.

Regards, Benoit.

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 7 Jun 2005 11:41:03 -0700

Hi -

> From: "Benoit Claise" <[email-masked]>
> To: "Disman (E-mail)" <[email-masked]>
> Sent: Tuesday, June 07, 2005 7:26 AM
> Subject: Re: [Disman] Small editorial correctionto draft-ietf-disman-event-mib-v2-05.txt
...
> section 4, mteTriggerObjects should read mteTrigger*Objects.
...

Seems reasonable to me.

Randy